TestGormEnhancer (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: grails.test.mixin.domain

## [Groovy] Class TestGormEnhancer

- grails.test.mixin.domain.TestGormEnhancer

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.grails.datastore.gorm.GormEnhancer` | `__$stMC`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TestGormEnhancer (org.grails.datastore.mapping.core.Datastore datastore, org.springframework.transaction.PlatformTransactionManager transactionManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.grails.datastore.gorm.GormStaticApi<D>` | `getStaticApi(java.lang.Class<D> cls)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.grails.datastore.gorm.GormEnhancer` | `org.grails.datastore.gorm.GormEnhancer#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#getMetaClass(), org.grails.datastore.gorm.GormEnhancer#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormEnhancer#this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormEnhancer#setFailOnError(boolean), org.grails.datastore.gorm.GormEnhancer#isFailOnError(), org.grails.datastore.gorm.GormEnhancer#setTransactionManager(org.springframework.transaction.PlatformTransactionManager), org.grails.datastore.gorm.GormEnhancer#getTransactionManager(), org.grails.datastore.gorm.GormEnhancer#enhance(), org.grails.datastore.gorm.GormEnhancer#enhance(org.grails.datastore.mapping.model.PersistentEntity), org.grails.datastore.gorm.GormEnhancer#enhance(boolean), org.grails.datastore.gorm.GormEnhancer#enhance(org.grails.datastore.mapping.model.PersistentEntity, boolean), org.grails.datastore.gorm.GormEnhancer#getFinders(), org.grails.datastore.gorm.GormEnhancer#getDatastore(), org.grails.datastore.gorm.GormEnhancer#setDatastore(org.grails.datastore.mapping.core.Datastore), org.grails.datastore.gorm.GormEnhancer#setFinders(java.util.List), org.grails.datastore.gorm.GormEnhancer#getFailOnError(), org.grails.datastore.gorm.GormEnhancer#getIncludeExternal(), org.grails.datastore.gorm.GormEnhancer#isIncludeExternal(), org.grails.datastore.gorm.GormEnhancer#setIncludeExternal(boolean), org.grails.datastore.gorm.GormEnhancer#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#getProperty(java.lang.String), org.grails.datastore.gorm.GormEnhancer#wait(long, int), org.grails.datastore.gorm.GormEnhancer#wait(long), org.grails.datastore.gorm.GormEnhancer#wait(), org.grails.datastore.gorm.GormEnhancer#equals(java.lang.Object), org.grails.datastore.gorm.GormEnhancer#toString(), org.grails.datastore.gorm.GormEnhancer#hashCode(), org.grails.datastore.gorm.GormEnhancer#getClass(), org.grails.datastore.gorm.GormEnhancer#notify(), org.grails.datastore.gorm.GormEnhancer#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### TestGormEnhancer(org.grails.datastore.mapping.core.Datastore datastore, org.springframework.transaction.PlatformTransactionManager transactionManager)

  - ### Method Detail

    - #### protected org.grails.datastore.gorm.GormStaticApi<D> getStaticApi(java.lang.Class<D> cls)